classification
Title: Document how to provide defaults for setup.py commands options
Type: Stage: resolved
Components: Distutils, Documentation Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: alexis, dstufft, eric.araujo, tarek, techtonik
Priority: normal Keywords:

Created on 2012-12-19 13:44 by techtonik, last changed 2020-10-22 20:19 by eric.araujo. This issue is now closed.

Messages (3)
msg177742 - (view) Author: anatoly techtonik (techtonik) Date: 2012-12-19 13:44
The way to override defaults for setup.py commands is not documented. For example, to change to name of build and dist dirs from setup.py, the following entry should be added to setup parameters:

    options={
        'build': {'build_base': '__build__'},
        'sdist': {'dist_dir': '__build__/dist'},
    }

An example would be extremely helpful at
http://docs.python.org/2/install/index.html#how-building-works

tag:easy
http://thread.gmane.org/gmane.comp.python.distutils.devel/16434
issue16299
msg223121 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-15 17:05
@Eric could you comment on this please.
msg223169 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2014-07-16 04:29
In my opinion it's easier and more common to put default options in a setup.cfg file, rather than in the Python code.
History
Date User Action Args
2020-10-22 20:19:12eric.araujosetstatus: open -> closed
resolution: wont fix
stage: resolved
2019-04-26 19:44:12BreamoreBoysetnosy: - BreamoreBoy
2014-07-16 04:29:50eric.araujosetmessages: + msg223169
2014-07-15 17:05:54BreamoreBoysetversions: - Python 2.6, Python 3.1, Python 3.2, Python 3.3
nosy: + BreamoreBoy, dstufft

messages: + msg223121

components: - Distutils2
2012-12-19 13:44:01techtonikcreate